function brew_installed --description "List installed top-level formulas"
  set --local __brew_pkgs ''
  set --local __brew_deps ''

  for __brew_pkg in (brew deps --installed)
    set __brew_pkgs $__brew_pkgs (string split ':' $__brew_pkg | head -n 1)
    set __brew_deps $__brew_deps (string split ' ' (string split ':' $__brew_pkg | tail -n +2))
  end

  for __brew_pkg in $__brew_pkgs
    if not contains $__brew_pkg $__brew_deps
      echo $__brew_pkg
    end
  end
end
