function brew_remove --description "Select homebrew packages to remove"
  set --local pkgs (brew leaves | eval "fzf $FZF_DEFAULT_OPTS --multi --header='[brew:uninstall]'")

  if not test (count $pkgs) = 0
    brew uninstall $pkgs
  end
end
