function brew_search --description "Find homebrew packages to install"
  set --local pkgs (brew search | eval "fzf $FZF_DEFAULT_OPTS --multi --header='[brew:install]'")

  if not test (count $pkgs) = 0
    brew install $pkgs
  end
end
